# $Revision: 1.19 $, $Date: 2004/06/07 23:46:37 $
Summary:	Shows information about a local user
Summary(pl):	Pokazuje informacje o lokalnych uytkownikach
Name:		userinfo
Version:	1.10a
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://arbornet.org/~bjk/userinfo/%{name}-%{version}.tar.gz
# Source0-md5:	f6845f0c25a4ce90750a93b39e5e63cc
Patch0:		%{name}-utmpx.patch
URL:		http://arbornet.org/~bjk/userinfo/
BuildRequires:	automake
BuildRequires:	autoconf
#BuildRequires:	libtool
Requires:	utempter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
userinfo is a small console utility which shows as much information
about a local user as possible. Output options include: password file
info, mail info, login info and more.

%description -l pl
userinfo jest maym konsolowym narzdziem, ktre pokazuje tyle
informacji o lokalnym uytkowniku, ile to tylko moliwe. Wywietla:
informacj z plikw passwd, mail info, login info i wiele innych

%prep
%setup  -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-aliases=/etc/mail/aliases

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*1.*
%doc ChangeLog README BUGS

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: userinfo.spec,v $
Revision 1.19  2004/06/07 23:46:37  ankry
- removed obsolete patch, kill libtoolize

Revision 1.18  2003/06/24 13:31:58  ankry
- 1.10a, untested

Revision 1.17  2003/06/24 13:02:21  ankry
- md5

Revision 1.16  2003/05/28 13:02:31  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:27:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/29 22:46:59  ankry
- massive attack: new %%doc

Revision 1.13  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:14:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/27 16:38:46  blues
- 1.5 (few bugfixes... not enought...)
- added automake support (sent to author)
- utmpx patch updated (authors utmpx support is broken...)

Revision 1.7  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/18 01:12:17  kloczek
- cosmetics.

Revision 1.5  2002/01/12 18:36:17  blues
- release 2
- added utmpx patch

Revision 1.4  2002/01/11 22:46:02  blues
- 1.3 (bugfixes, code cleanups - upgrade advised by author)

Revision 1.3  2001/12/12 19:27:19  blues
- 1.1 (patch included into sources)
- new configure option used

Revision 1.2  2001/12/08 16:04:53  blues
- 1.0 (bugfixes - info from author: first stable release)
STBR

Revision 1.1  2001/12/08 13:20:51  blues
- initial version (written from scratch)
userinfo is a small console utility which shows as much information
about a local user as possible. Output options include: password file
info, mail info, login info and more.
